---
title: WebSocket.onmessage
slug: Web/API/WebSocket/onmessage
tags:
  - API
  - Property
  - Reference
  - Web API
  - WebSocket
---
<div>{{APIRef("Web Sockets API")}}</div>

<p>The <strong><code>WebSocket.onmessage</code></strong> property is an {{domxref("EventHandler")}} that is called when a message is received from the server. It is called with a {{domxref("MessageEvent")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>aWebSocket</em>.onmessage = function(event) {
  console.debug("WebSocket message received:", event);
};</pre>

<h2 id="Value">Value</h2>

<p>An {{domxref("EventListener")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#handler-websocket-onmessage', 'WebSocket: onmessage')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WebSocket.onmessage")}}</p>
